%define upstream_name    Alien-GvaScript
%define upstream_version 1.44

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Gva extension to the prototype javascript framework
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Alien/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Path)
BuildRequires: perl(Module::Build) >= 0.400.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
GvaScript (pronounce "gee-vascript") is a javascript framework born in
Geneva, Switzerland (GVA is the IATA code for Geneva Cointrin
International Airport).

It is built on top of the prototype object-oriented javascript framework
(http://prototype.conio.net) and offers a number of extensions and
widgets, such as keymap handling, application-specific events,
autocompletion on input field, tree navigation, and forms with autofocus
and repeated sections. These functionalities are described in separate
documentation pages (see Alien::GvaScript::Intro).

GvaScript is distributed using Perl tools, but the actual content of the
library is pure javascript; hence its location in the Alien namespace
(see the Alien manifesto).

GvaScript runtime library does not need Perl; you can integrate it in
any other Web programming framework. Perl is only needed for developers
who want to modify GvaScript sources and recreate a distribution
package.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build


%install
./Build install --destdir %buildroot

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Jul 11 2017 bb2 <bb2> - 1.440.0-6pclos2017
- rebuild against updates

